import { Test } from '@nestjs/testing';
import { version } from '../package.json';
import { AppController } from './app.controller';
import { ConfigurationModule } from './configuration/configuration.module';

describe('AppController', () => {
  let appController: AppController;

  beforeEach(async () => {
    const module = await Test.createTestingModule({
      imports: [ConfigurationModule],
      controllers: [AppController],
    }).compile();
    appController = module.get<AppController>(AppController);
  });

  it('should return healthcheck', async () => {
    const healthcheck = appController.healthcheck();
    expect(healthcheck.status).toBe('API Online');
    expect(healthcheck.uptime).not.toBeNull();
    expect(healthcheck.version).toBe(version);
  });
});
