import { Controller, Get, Logger } from '@nestjs/common';
import { ApiTags } from '@nestjs/swagger';
import { Categories } from '../schemas/categories.schema';
import { CategoriesService } from '../services/categories.service';

@ApiTags('categories')
@Controller('categories')
export class CategoriesController {
  private readonly logger = new Logger(CategoriesController.name);
  constructor(private readonly categoriesService: CategoriesService) {}

  @Get()
  public async findAll(): Promise<Categories[]> {
    this.logger.debug(`findAll`);
    return this.categoriesService.findAll();
  }
}
