import { HttpModule } from '@nestjs/axios';
import { Module } from '@nestjs/common';
import { MongooseModule } from '@nestjs/mongoose';
import { EspaceCoopCNFS, EspaceCoopCNFSSchema } from './schemas/espaceCoopCNFS.schema';
import { EspaceCoopService } from './services/espaceCoop.service';
import { UsersModule } from '../users/users.module';
import { EspaceCoopController } from './controllers/espaceCoop.controller';

@Module({
  imports: [
    MongooseModule.forFeature([{ name: EspaceCoopCNFS.name, schema: EspaceCoopCNFSSchema }]),
    UsersModule,
    HttpModule,
  ],
  controllers: [EspaceCoopController],
  providers: [EspaceCoopService],
  exports: [EspaceCoopService],
})
export class EspaceCoopModule {}
