import { Db } from 'mongodb';
import { getDb } from '../migrations-utils/db';
import { DateTime } from 'luxon';

export const up = async () => {
  const db: Db = await getDb();
  const cursor = db.collection('users').find({});
  let document;
  while ((document = await cursor.next())) {
    let value: Date;
    if (!document.structuresLink || document.structuresLink.length == 0) {
      value = DateTime.local().toJSDate();
    } else {
      value = null;
    }
    await db.collection('users').updateOne({ _id: document._id }, [{ $set: { unattachedSince: value } }]);
  }
  console.log(`Update done : unattachedSince added to users`);
};

export const down = async () => {
  const db: Db = await getDb();
  const cursor = db.collection('users').find({});
  let document;
  while ((document = await cursor.next())) {
    await db.collection('users').updateOne({ _id: document._id }, [{ $unset: 'unattachedSince' }]);
  }
  console.log(`Downgrade done : unattachedSince removed from users`);
};
