import { Db } from 'mongodb';
import { getDb } from '../migrations-utils/db';

export const up = async () => {
  const db: Db = await getDb();
  await db.collection('jobs').updateOne({ name: 'Conseiller' }, { $set: { name: 'Conseiller (Caf, Pôle emploi...)' } });

  console.log('Update done: "Conseiller" -> "Conseiller (Caf, Pôle emploi...)"');
};

export const down = async () => {
  const db: Db = await getDb();
  await db.collection('jobs').updateOne({ name: 'Conseiller (Caf, Pôle emploi...)' }, { $set: { name: 'Conseiller' } });

  console.log('Update done: "Conseiller (Caf, Pôle emploi...)" -> "Conseiller');
};
