import { Db } from 'mongodb';
import { getDb } from '../migrations-utils/db';

export const up = async () => {
  const db: Db = await getDb();

  await db.collection('categories').updateOne(
    { id: 'labelsQualifications' },
    {
      $pull: { modules: { id: 'pix' } },
    }
  );

  await db.collection('structures').updateMany({ 'categories.labelsQualifications': 'pix' }, {
    $pull: { 'categories.labelsQualifications': 'pix' },
  } as unknown);

  console.log('Updated : Pix label removed');
};

export const down = async () => {
  const db: Db = await getDb();
  await db.collection('categories').updateOne(
    { id: 'labelsQualifications' },
    {
      $push: { modules: { id: 'pix', name: 'Pix' } },
    }
  );
  console.log('Downgraded : Pix label added');
};
