import { Db } from 'mongodb';
import { getDb } from '../migrations-utils/db';

export const up = async () => {
  try {
    const db: Db = await getDb();

    // Define the fields to be removed
    const fieldsToRemove = [
      'equipmentsAndServices',
      'digitalCultureSecurity',
      'parentingHelp',
      'socialAndProfessional',
      'accessRight',
      'baseSkills',
      'proceduresAccompaniment',
      'publicsAccompaniment',
      'publics',
      'labelsQualifications',
      'accessModality',
      'autresAccompagnements',
      'nbNumericTerminal',
      'equipmentsServices',
      'jaccompagneLesUsagersDansLeursDemarchesEnLigne',
      'numero',
      'nbTablets',
      'remoteAccompaniment',
    ];

    // Construct the update operation
    const updateOperation = {
      $unset: {},
    };
    fieldsToRemove.forEach((field) => {
      updateOperation.$unset[field] = 1;
    });

    // Perform bulk update using updateMany
    await db.collection('structures').updateMany({}, updateOperation);

    console.log("Structures' data has been cleaned up");
  } catch (error) {
    console.error(`Migration up failed due to ${error}`);
  }
};

export const down = async () => {
  console.log('No downgrade possible. Erased data cannot be recreated.');
};
