import { Db } from 'mongodb';
import { getDb } from '../migrations-utils/db';

export const up = async () => {
  const db: Db = await getDb();
  await db
    .collection('categories')
    .updateOne({ id: 'onlineProcedures' }, { $push: { modules: { id: 'disability', name: 'Handicap' } } });
  console.log('Updated : "Handicap" added to "onlineProcedures" document in "categories" collection');
};

export const down = async () => {
  const db: Db = await getDb();
  await db
    .collection('categories')
    .updateOne({ id: 'onlineProcedures' }, { $pull: { modules: { id: 'disability', name: 'Handicap' } } });
  console.log('Downgraded : "Handicap" removed from "onlineProcedures" document in "categories" collection');
};
