import { getDb } from '../migrations-utils/db';

export const up = async () => {
  try {
    const db = await getDb();
    const newCategory = {
      modules: [
        {
          id: 'Oui',
          name: 'Accompagnements gratuits',
        },
        {
          id: 'Oui, sous condition',
          name: 'Accompagnements gratuits sous conditions',
        },
        {
          id: 'Non',
          name: 'Accompagnements payants',
        },
      ],
      name: 'Gratuité',
      theme: 'Gratuité',
      id: 'freeWorkShop',
    };
    await db.collection('categories').insertOne(newCategory);
    console.log(`Update done: New category 'freeWorkShop' added successfully.`);
  } catch (error) {
    console.error(`Error while creating the new category 'freeWorkShop':`, error);
  }
};

export const down = async () => {
  try {
    const db = await getDb();
    await db.collection('categories').deleteOne({ id: 'freeWorkShop' });
    console.log(`Downgrade done: removed the 'freeWorkShop' category.`);
  } catch (error) {
    console.error(`Error while removing the 'freeWorkShop' category:`, error);
  }
};
