import { Db } from 'mongodb';
import { getDb } from '../migrations-utils/db';

export const up = async () => {
  try {
    const db: Db = await getDb();

    await db
      .collection('structuretype')
      .updateOne({ value: 'mairie' }, { $set: { value: 'commune', name: 'Commune' } });
    console.log('Update done in structuretype: "mairie" -> "commune"');

    await db.collection('employers').updateMany({ name: 'Mairie' }, { $set: { name: 'Commune' } });
    console.log('Update done in employers: "Mairie" -> "Commune"');

    await db.collection('structures').updateMany({ structureType: 'mairie' }, { $set: { structureType: 'commune' } });
    console.log('Update done in structures: "mairie" -> "Commune"');
  } catch (error) {
    console.error(`Error during the migration: ${error}`);
  }
};

export const down = async () => {
  try {
    const db: Db = await getDb();

    await db.collection('structuretype').updateOne({ value: 'commune' }, { $set: { value: 'mairie', name: 'mairie' } });
    console.log('Revert done in structType: "commune" -> "mairie"');

    await db.collection('employers').updateMany({ name: 'Commune' }, { $set: { name: 'Mairie' } });
    console.log('Revert done in employers: "Commune" -> "Mairie"');

    await db.collection('structures').updateMany({ structureType: 'commune' }, { $set: { structureType: 'mairie' } });
    console.log('Revert done in structures: "commune" -> "mairie"');
  } catch (error) {
    console.error(`Error during the rollback: ${error}`);
  }
};
