import { getDb } from '../migrations-utils/db';

export const up = async () => {
  try {
    const db = await getDb();
    const newCategory = {
      modules: [
        {
          id: 'True',
          name: 'Demande de RDV',
        },
      ],
      name: 'Demande de RDV',
      theme: 'Pas de modale',
      id: 'hasUserWithAppointmentDN',
    };
    await db.collection('categories').insertOne(newCategory);
    console.log(`Update done: New category 'hasUserWithAppointmentDN' added successfully.`);
  } catch (error) {
    console.error(`Error while creating the new category 'hasUserWithAppointmentDN':`, error);
  }
};

export const down = async () => {
  try {
    const db = await getDb();
    await db.collection('categories').deleteOne({ id: 'hasUserWithAppointmentDN' });
    console.log(`Downgrade done: removed the 'hasUserWithAppointmentDN' category.`);
  } catch (error) {
    console.error(`Error while removing the 'hasUserWithAppointmentDN' category:`, error);
  }
};
