import { getDb } from '../migrations-utils/db';

export const up = async () => {
  try {
    const db = await getDb();
    await db.collection('structures').updateMany({}, { $set: { lastUpdateMail: null } });
    console.log(`Update done: 'lastUpdateMail' field added to all documents in 'structures' collection.`);
  } catch (error) {
    console.error(`Error while adding 'lastUpdateMail' field:`, error);
  }
};

export const down = async () => {
  try {
    const db = await getDb();
    await db.collection('structures').updateMany({}, { $unset: { lastUpdateMail: '' } });
    console.log(`Downgrade done: 'lastUpdateMail' field removed from all documents in 'structures' collection.`);
  } catch (error) {
    console.error(`Error while removing 'lastUpdateMail' field:`, error);
  }
};
