import { Db } from 'mongodb';
import { getDb } from '../migrations-utils/db';

export const up = async () => {
  const db: Db = await getDb();

  await db.collection('categories').updateOne(
    { id: 'labelsQualifications' },
    {
      $set: {
        'modules.$[monEspaceSante].name': 'Ambassadeur Mon espace santé',
        'modules.$[espacePublicNumerique].name': 'Espace Public Numérique',
        'modules.$[lesRelaisNumeriques].name': 'Les Relais Numériques',
      },
    },
    {
      arrayFilters: [
        { 'monEspaceSante.id': 'monEspaceSante' },
        { 'espacePublicNumerique.id': 'espacePublicNumeriqueepn' },
        { 'lesRelaisNumeriques.id': 'numRelay' },
      ],
    }
  );

  await db
    .collection('categories')
    .updateOne({ id: 'selfServiceMaterial' }, { $set: { name: 'Matériel et wifi en accès libre' } });

  await db
    .collection('categories')
    .updateOne({ id: 'solidarityMaterial' }, { $set: { name: 'Achat de matériel à tarif solidaire' } });

  console.log('Update done: renamed categories');
};

export const down = async () => {
  const db: Db = await getDb();

  await db.collection('categories').updateOne(
    { id: 'labelsQualifications' },
    {
      $set: {
        'modules.$[monEspaceSante].name': 'Mon espace santé',
        'modules.$[espacePublicNumerique].name': 'Espace public numérique',
        'modules.$[lesRelaisNumeriques].name': 'Les relais numériques',
      },
    },
    {
      arrayFilters: [
        { 'monEspaceSante.id': 'monEspaceSante' },
        { 'espacePublicNumerique.id': 'espacePublicNumeriqueepn' },
        { 'lesRelaisNumeriques.id': 'numRelay' },
      ],
    }
  );

  await db
    .collection('categories')
    .updateOne({ id: 'selfServiceMaterial' }, { $set: { name: 'Accéder à du matériel numérique en libre service' } });

  await db
    .collection('categories')
    .updateOne({ id: 'solidarityMaterial' }, { $set: { name: 'Acheter du matériel numérique à tarif solidaire' } });

  console.log('Downgrade done: renamed categories back');
};
