import { getDb } from '../migrations-utils/db';

export const up = async () => {
  try {
    const db = await getDb();
    await db.collection('structures').updateMany({}, { $unset: { idCNFS: '' } });
    console.log(`Update done: 'idCNFS' field removed from all documents in 'structures' collection.`);
  } catch (error) {
    console.error(`Error while removing 'idCNFS' field:`, error);
  }
};

export const down = async () => {
  try {
    const db = await getDb();
    await db.collection('structures').updateMany({}, { $set: { idCNFS: null } });
    console.log(`Downgrade done: 'idCNFS' field added to all documents in 'structures' collection.`);
  } catch (error) {
    console.error(`Error while adding 'idCNFS' field:`, error);
  }
};
