import { HttpModule } from '@nestjs/axios';
import { Module, forwardRef } from '@nestjs/common';
import { MongooseModule } from '@nestjs/mongoose';
import { NewsletterSubscription, NewsletterSubscriptionSchema } from './newsletter-subscription.schema';
import { NewsletterController } from './newsletter.controller';
import { NewsletterService } from './newsletter.service';
import { UsersModule } from '../users/users.module';
@Module({
  imports: [
    MongooseModule.forFeature([{ name: NewsletterSubscription.name, schema: NewsletterSubscriptionSchema }]),
    HttpModule,
    forwardRef(() => UsersModule),
  ],
  providers: [NewsletterService],
  exports: [NewsletterService],
  controllers: [NewsletterController],
})
export class NewsletterModule {}
