import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document, Types } from 'mongoose';

export type TempUserDocument = TempUser & Document;

@Schema({ timestamps: true })
export class TempUser {
  @Prop({ required: true })
  email: string;

  @Prop({ type: [{ type: Types.ObjectId, ref: 'Structure', default: null }] })
  structuresLink?: Types.ObjectId[];
}

export const TempUserSchema = SchemaFactory.createForClass(TempUser);
