import { IsBoolean, IsNotEmpty, IsString } from 'class-validator';
import { ApiProperty } from '@nestjs/swagger';

export class CreateJobDto {
  @ApiProperty({ type: String, example: 'Développeur' })
  @IsNotEmpty()
  @IsString()
  readonly name: string;

  @ApiProperty({ type: Boolean, example: false })
  @IsNotEmpty()
  @IsBoolean()
  readonly hasPersonalOffer: boolean;
}
