import { DataGouvStructure } from '../../../src/structures/interfaces/data-gouv-structure.interface';
import { Structure } from '../../../src/structures/schemas/structure.schema';

export const mockGouvStructure: DataGouvStructure = {
  id: 'b145231d-7388-4444-a54e-138298a4fff9|res-in-606715119f33ab0013a1cbad',
  nom: 'Médiathèque de Craponne',
  services:
    "Prendre en main un smartphone ou une tablette;Prendre en main un ordinateur;Utiliser le numérique au quotidien;Approfondir ma culture numérique;Devenir autonome dans les démarches administratives;Réaliser des démarches administratives avec un accompagnement;Favoriser mon insertion professionnelle;Accéder à une connexion internet;Accéder à du matériel;Créer et développer mon entreprise;Accompagner les démarches de santé;Soutenir la parentalité et l'éducation avec le numérique",
  pivot: '21690069600016',
  typologie: 'BIB',
  commune: 'Craponne',
  code_postal: '69290',
  adresse: "1 Chemin des Jardins d'Eole",
  latitude: 45.745758,
  longitude: 4.72495,
  telephone: '+33478578285',
  courriel: 'mediatheque@mairie-craponne.fr',
  site_web: 'https://mediathequeodyssee.mairie-craponne.fr/',
  publics_accueillis:
    "Adultes;Familles/enfants;Jeunes (16-26 ans);Seniors (+ 65 ans);Surdité;Handicaps mentaux : déficiences limitant les activités d'une personne;Handicaps psychiques : troubles psychiatriques donnant lieu à des atteintes comportementales;Déficience visuelle",
  conditions_acces: 'Gratuit : Je peux accéder gratuitement au lieu et à ses services',
  modalites_accompagnement: "Avec de l'aide : je suis accompagné seul dans l'usage du numérique",
  accessibilite: 'https://acceslibre.beta.gouv.fr/app/69-grezieu-la-varenne/a/librairie/erp/association-viens-et-vois/',
  labels_nationaux: 'CNFS;Aidants Connect',
  source: 'dora',
  date_maj: '2023-06-23',
  code_insee: '69069',
  labels_autres: '.',
  horaires: 'Tu 15:00-19:00;We 09:00-19:00;Fr 15:00-19:00;Sa 09:30-17:00',
};

export const mockGouvStructureToResinFormat = new Structure({
  idDataGouv: 'b145231d-7388-4444-a54e-138298a4fff9|res-in-606715119f33ab0013a1cbad',
  structureName: 'Médiathèque de Craponne',
  description: null,
  address: {
    numero: '1',
    street: "Chemin des Jardins d'Eole",
    commune: 'Craponne',
    postcode: '69290',
    inseeCode: '69069',
  },
  contactPhone: '0478578285',
  contactMail: 'mediatheque@mairie-craponne.fr',
  pmrAccess: false,
  categories: {
    labelsQualifications: [],
    accessModality: ['accesLibre'],
    onlineProcedures: [
      'caf',
      'idDoc',
      'needs',
      'foreigners',
      'franceConnect',
      'taxes',
      'retirement',
      'health',
      'scolarity',
      'transport',
      'work',
    ],
    selfServiceMaterial: ['wifiEnAccesLibre', 'computer', 'printer', 'scanner'],
    equipmentsServices: [],
    baseSkills: ['smartphone', 'computer', 'internet', 'mail', 'officeAutomation', 'communication', 'work'],
    advancedSkills: [
      'cyberAndConf',
      'parenting',
      'videoGames',
      'numericCreate',
      'fakeNews',
      'photoVideo',
      'devAndRobots',
      'numericalCitizenship',
      'responsibleDigital',
    ],
    age: ['adults', 'family', 'young', 'old'],
    languageAndIlliteracy: [],
    handicaps: ['deafness', 'blindness'],
    solidarityMaterial: [],
    ctm: [],
    genre: [],
  },
  freeWorkShop: 'Non',
  nbComputers: 0,
  nbPrinters: 0,
  nbScanners: 0,
  hours: {
    monday: {
      open: false,
      time: [],
    },
    tuesday: {
      open: true,
      time: [
        {
          opening: '15:00',
          closing: '19:00',
        },
      ],
    },
    wednesday: {
      open: true,
      time: [
        {
          opening: '09:00',
          closing: '19:00',
        },
      ],
    },
    thursday: {
      open: false,
      time: [],
    },
    friday: {
      open: true,
      time: [
        {
          opening: '15:00',
          closing: '19:00',
        },
      ],
    },
    saturday: {
      open: true,
      time: [
        {
          opening: '09:30',
          closing: '17:00',
        },
      ],
    },
    sunday: {
      open: false,
      time: [],
    },
  },
  coord: [4.72495, 45.745758],
  accountVerified: true,
  personalOffers: [],
  dataShareConsentDate: null,
  structureType: null,
  website: 'https://mediathequeodyssee.mairie-craponne.fr/',
  exceptionalClosures: null,
  facebook: null,
  instagram: null,
  twitter: null,
  otherDescription: null,
  linkedin: null,
  updatedAt: new Date('2023-06-23'),
});
