import { StructureDto } from '../../../src/structures/dto/structure.dto';
import { Structure, StructureDocument } from '../../../src/structures/schemas/structure.schema';

export const structuresDocumentDataMock: StructureDocument[] = [
  {
    _id: '6093ba0e2ab5775cfc01ed3e',
    coord: [4.8498155, 45.7514817],
    categories: {
      onlineProcedures: [],
      baseSkills: [],
      advancedSkills: [],
    },
    structureType: null,
    structureName: 'a',
    description: null,
    address: {
      numero: null,
      street: 'Rue Alphonse Daudet',
      commune: 'Lyon 7ème Arrondissement',
      postcode: '69007',
      inseeCode: '69387',
    },
    contactMail: '',
    contactPhone: '',
    website: '',
    facebook: null,
    twitter: null,
    instagram: null,
    linkedin: null,
    hours: {
      monday: {
        open: false,
        time: [],
      },
      tuesday: {
        open: false,
        time: [],
      },
      wednesday: {
        open: false,
        time: [],
      },
      thursday: {
        open: false,
        time: [],
      },
      friday: {
        open: false,
        time: [],
      },
      saturday: {
        open: false,
        time: [],
      },
      sunday: {
        open: false,
        time: [],
      },
    },
    pmrAccess: false,
    exceptionalClosures: null,
    otherDescription: null,
    nbComputers: 1,
    nbPrinters: 1,
    nbScanners: 1,
    freeWorkShop: 'Non',
    accountVerified: true,
    personalOffers: [],
    createdAt: '2021-05-06T09:42:38.000Z',
    updatedAt: '2021-05-06T09:42:50.000Z',
    lastUpdateMail: '2020-11-16T09:30:00.000Z',
    __v: 0,
    save: jest.fn(),
  } as any,
  {
    _id: '6093ba0e2ab5775cfc01ed3e',
    coord: [4.8498155, 45.7514817],
    structureType: null,
    structureName: 'a',
    description: null,
    address: {
      numero: null,
      street: 'Rue Alphonse Daudet',
      commune: 'Lyon 7ème Arrondissement',
      postcode: '69007',
      inseeCode: '69387',
    },
    contactMail: '',
    contactPhone: '',
    website: '',
    facebook: null,
    twitter: null,
    instagram: null,
    linkedin: null,
    hours: {
      monday: {
        open: false,
        time: [],
      },
      tuesday: {
        open: false,
        time: [],
      },
      wednesday: {
        open: false,
        time: [],
      },
      thursday: {
        open: false,
        time: [],
      },
      friday: {
        open: false,
        time: [],
      },
      saturday: {
        open: false,
        time: [],
      },
      sunday: {
        open: false,
        time: [],
      },
    },
    pmrAccess: false,
    exceptionalClosures: null,
    otherDescription: null,
    nbComputers: 1,
    nbPrinters: 1,
    nbScanners: 1,
    freeWorkShop: 'Non',
    accountVerified: true,
    personalOffers: ['1234ba0e2ab5775cfc01ed3e'],
    createdAt: '2021-05-06T09:42:38.000Z',
    updatedAt: '2021-05-06T09:42:50.000Z',
    __v: 0,
    save: jest.fn(),
  } as any,
] as StructureDocument[];

export const structureMockDto: StructureDto = {
  coord: [4.8498155, 45.7514817],
  categories: {
    onlineProcedures: [],
    baseSkills: [],
    advancedSkills: [],
  },
  structureType: null,
  structureName: 'a',
  description: null,
  address: {
    numero: null,
    street: 'Rue Alphonse Daudet',
    commune: 'Lyon 7ème Arrondissement',
    postcode: '69007',
    inseeCode: '69387',
  },
  contactMail: '',
  contactPhone: '',
  website: '',
  facebook: null,
  twitter: null,
  instagram: null,
  linkedin: null,
  hours: {
    monday: {
      open: false,
      time: [],
    },
    tuesday: {
      open: false,
      time: [],
    },
    wednesday: {
      open: false,
      time: [],
    },
    thursday: {
      open: false,
      time: [],
    },
    friday: {
      open: false,
      time: [],
    },
    saturday: {
      open: false,
      time: [],
    },
    sunday: {
      open: false,
      time: [],
    },
  },
  pmrAccess: false,
  exceptionalClosures: null,
  otherDescription: null,
  nbComputers: 1,
  nbPrinters: 1,
  nbScanners: 1,
  freeWorkShop: 'Non',
  accountVerified: true,
  personalOffers: [],
  createdAt: new Date(),
  updatedAt: new Date(),
  toBeDeletedAt: new Date(),
  deletedAt: new Date(),
  lastUpdateMail: new Date(),
  dataShareConsentDate: new Date(),
};

export const mockStructureDocument = {
  coord: [4.8498155, 45.7514817],
  categories: {
    accessModality: ['accesLibre'],
    labelsQualifications: [
      'monEspaceSante',
      'numRelay',
      'pix',
      'passNumerique',
      'fabriqueDeTerritoire',
      'aidantsConnect',
      'espacePublicNumeriqueepn',
      'maisonFranceService',
      'conseillerNumFranceServices',
    ],
    onlineProcedures: [
      'idDoc',
      'training',
      'health',
      'work',
      'caf',
      'foreigners',
      'needs',
      'franceConnect',
      'taxes',
      'housing',
      'retirement',
      'scolarity',
      'transport',
      'autres',
    ],
    selfServiceMaterial: ['wifiEnAccesLibre', 'computer', 'printer', 'scanner'],
    solidarityMaterial: [],
    baseSkills: ['computer', 'internet'],
    advancedSkills: [],
    age: ['young', 'family'],
    languageAndIlliteracy: ['illettrisme', 'english'],
    handicaps: ['physicalDisability'],
    genre: ['uniquementFemmes'],
  },
  structureType: null,
  structureName: 'a',
  description: null,
  address: {
    numero: null,
    street: 'Rue Alphonse Daudet',
    commune: 'Lyon 7ème Arrondissement',
    postcode: '69007',
    inseeCode: '69387',
  },
  contactMail: '',
  contactPhone: '',
  website: '',
  facebook: null,
  twitter: null,
  instagram: null,
  linkedin: null,
  hours: {
    monday: {
      open: false,
      time: [],
    },
    tuesday: {
      open: false,
      time: [],
    },
    wednesday: {
      open: false,
      time: [],
    },
    thursday: {
      open: false,
      time: [],
    },
    friday: {
      open: false,
      time: [],
    },
    saturday: {
      open: false,
      time: [],
    },
    sunday: {
      open: false,
      time: [],
    },
  },
  pmrAccess: false,
  exceptionalClosures: null,
  otherDescription: null,
  nbComputers: 1,
  nbPrinters: 1,
  nbScanners: 1,
  freeWorkShop: 'Non',
  accountVerified: true,
  createdAt: new Date('2021-05-06T09:42:38.000Z'),
  updatedAt: new Date('2021-05-06T09:42:38.000Z'),
  lastUpdateMail: new Date('2020-11-16T09:30:00.000Z'),
  deletedAt: null,
  dataShareConsentDate: null,
  personalOffers: null,
} as unknown as StructureDocument;

export const mockStructure: Structure = {
  coord: [4.8498155, 45.7514817],
  createdAt: null,
  dataShareConsentDate: null,
  deletedAt: null,
  personalOffers: [],
  updatedAt: null,
  categories: {
    accessModality: ['accesLibre'],
    labelsQualifications: [
      'monEspaceSante',
      'numRelay',
      'pix',
      'passNumerique',
      'fabriqueDeTerritoire',
      'aidantsConnect',
      'espacePublicNumeriqueepn',
      'maisonFranceService',
      'conseillerNumFranceServices',
    ],
    onlineProcedures: [
      'idDoc',
      'training',
      'health',
      'work',
      'caf',
      'foreigners',
      'needs',
      'franceConnect',
      'taxes',
      'housing',
      'retirement',
      'scolarity',
      'transport',
      'autres',
    ],
    selfServiceMaterial: ['wifiEnAccesLibre', 'computer', 'printer', 'scanner'],
    solidarityMaterial: [],
    baseSkills: ['computer', 'internet'],
    advancedSkills: [],
    age: ['young', 'family'],
    languageAndIlliteracy: ['illettrisme', 'english'],
    handicaps: ['physicalDisability'],
    genre: ['uniquementFemmes'],
  },
  structureType: null,
  structureName: 'a',
  description: null,
  address: {
    numero: null,
    street: 'Rue Alphonse Daudet',
    commune: 'Lyon 7ème Arrondissement',
    postcode: '69007',
    inseeCode: '69387',
  },
  contactMail: '',
  contactPhone: '',
  website: '',
  facebook: null,
  twitter: null,
  instagram: null,
  linkedin: null,
  hours: {
    monday: {
      open: false,
      time: [],
    },
    tuesday: {
      open: false,
      time: [],
    },
    wednesday: {
      open: false,
      time: [],
    },
    thursday: {
      open: false,
      time: [],
    },
    friday: {
      open: false,
      time: [],
    },
    saturday: {
      open: false,
      time: [],
    },
    sunday: {
      open: false,
      time: [],
    },
  },
  pmrAccess: false,
  exceptionalClosures: null,
  otherDescription: null,
  nbComputers: 1,
  nbPrinters: 1,
  nbScanners: 1,
  freeWorkShop: 'Non',
  accountVerified: true,
  categoriesWithPersonalOffers: {},
  lastUpdateMail: new Date('2020-11-16T09:30:00.000Z'),
  permalink: 'a',
  comment: 'nouveau',
};

export const mockDeletedStructure: Structure = {
  structureType: null,
  categoriesWithPersonalOffers: {},
  dataShareConsentDate: new Date(2023, 1, 1),
  hours: {
    monday: {
      open: false,
      time: [],
    },
    tuesday: {
      open: false,
      time: [],
    },
    wednesday: {
      open: false,
      time: [],
    },
    thursday: {
      open: false,
      time: [],
    },
    friday: {
      open: false,
      time: [],
    },
    saturday: {
      open: false,
      time: [],
    },
    sunday: {
      open: false,
      time: [],
    },
  },
  categories: {
    accessModality: ['accesLibre'],
    labelsQualifications: [
      'monEspaceSante',
      'numRelay',
      'pix',
      'passNumerique',
      'fabriqueDeTerritoire',
      'aidantsConnect',
      'espacePublicNumeriqueepn',
      'maisonFranceService',
      'conseillerNumFranceServices',
    ],
    onlineProcedures: [
      'idDoc',
      'training',
      'health',
      'work',
      'caf',
      'foreigners',
      'needs',
      'franceConnect',
      'taxes',
      'housing',
      'retirement',
      'scolarity',
      'transport',
      'autres',
    ],
    selfServiceMaterial: ['wifiEnAccesLibre', 'computer', 'printer', 'scanner'],
    solidarityMaterial: [],
    baseSkills: ['computer', 'internet'],
    advancedSkills: [],
    age: ['young', 'family'],
    languageAndIlliteracy: ['illettrisme', 'english'],
    handicaps: ['physicalDisability'],
    genre: ['uniquementFemmes'],
  },
  freeWorkShop: 'Non',

  structureName: "L'Atelier Numérique",
  description:
    "L'Atelier Numérique est l'Espace Public Numérique des Centres Sociaux de Rillieux-la-Pape, ayant pour mission la médiation numérique pour toutes et tous.",
  contactPhone: '',
  contactMail: '',
  website: '',
  facebook: null,
  twitter: null,
  instagram: null,
  pmrAccess: true,
  exceptionalClosures: '',
  nbComputers: 16,
  nbPrinters: 1,
  address: {
    numero: '30 bis',
    street: 'Avenue Leclerc',
    commune: 'Rillieux-la-Pape',
    postcode: '69140',
    inseeCode: '69286',
  },
  coord: [4.9036773, 45.8142196],
  accountVerified: true,
  linkedin: null,
  nbScanners: 1,
  otherDescription: null,
  personalOffers: [],
  createdAt: new Date('2020-11-16T09:30:00.000Z'),
  updatedAt: new Date('2020-11-16T09:30:00.000Z'),
  deletedAt: new Date('2020-11-16T09:30:00.000Z'),
  lastUpdateMail: new Date('2020-11-16T09:30:00.000Z'),
  permalink: 'latelier-numerique',
  comment: 'ancienne structure',
};
