import { HttpException, HttpStatus } from '@nestjs/common';
import { CreatePersonalOfferDto } from '../../../src/personal-offers/dto/create-personal-offer.dto';
import { PersonalOfferDto } from '../../../src/personal-offers/dto/personal-offer.dto';
import { createPersonalOffersDtoDataMock, personalOffersDataMock } from '../data/personalOffers.mock.data';

export class PersonalOffersServiceMock {
  findOne(id: string) {
    if (id === '1234ba0e2ab5775cfc01ed3e') {
      return personalOffersDataMock[0];
    }
    if (id === '2345ba0e2ab5775cfc01ed4d') {
      return personalOffersDataMock[1];
    }
    throw new HttpException('Personal offer does not exist', HttpStatus.NOT_FOUND);
  }

  create(createPersonalOfferDto: CreatePersonalOfferDto) {
    if (createPersonalOfferDto === createPersonalOffersDtoDataMock[1]) {
      return {
        ...createPersonalOfferDto.personalOffer,
        _id: 'unIdQuiExisteDeja',
        createdAt: 'Wed Mar 16 2022 14:29:11 GMT+0100 (heure normale d’Europe centrale)',
        updatedAt: 'Wed Mar 16 2022 17:29:11 GMT+0100 (heure normale d’Europe centrale)',
      };
    }
    return {
      ...createPersonalOfferDto.personalOffer,
      _id: '1234ba0e2ab5775cfc01ed3e',
      createdAt: 'Wed Mar 16 2022 14:29:11 GMT+0100 (heure normale d’Europe centrale)',
      updatedAt: 'Wed Mar 16 2022 17:29:11 GMT+0100 (heure normale d’Europe centrale)',
    };
  }

  update(id: string, updateDto: PersonalOfferDto) {
    if (id === '2345ba0e2ab5775cfc01ed4d') {
      return { ...personalOffersDataMock[1], ...updateDto };
    }
    throw new HttpException('Invalid personal offer id for update', HttpStatus.BAD_REQUEST);
  }

  delete(reqUser, id: string) {
    if (id === '2345ba0e2ab5775cfc01ed4d') {
      return personalOffersDataMock[1];
    }
    throw new HttpException('Invalid personal offer id for deletion', HttpStatus.BAD_REQUEST);
  }
}
