import { StructureDocument } from '../../../src/structures/schemas/structure.schema';

export class StructuresForSearchServiceMock {
  findAll() {
    return [
      {
        _id: '607ef197225ffd001391edb9',
        structureName: "Médiathèque d'Ecully",
        structureType: 'mediatheque',
        address: {
          numero: '1',
          street: 'Avenue Edouard Aynard',
          commune: 'Écully',
          postcode: '69130',
          inseeCode: '69081',
        },
        nbPrinters: 1,
        description:
          'Nous sommes une équipe de 6 personnes accompagnant les usagers dans leur démarche de découverte des outils numériques, mettant à disposition sous forme de prêt des liseuses et du livre numérique et organisant des ateliers individuels de prise en main des outils numériques et tentant de répondre aux questions des usages sur des sujets divers.',
      },
      {
        _id: '60368194cda3ba42b8e621dd',
        structureName: 'Maison des associations (Grézieu-la-Varenne)',
        structureType: 'autre',
        address: {
          numero: null,
          street: " Place de l'Abbe Launay",
          commune: 'Grézieu-la-Varenne',
          postcode: '69290',
          inseeCode: '69094',
        },
        nbPrinters: 1,
        description: null,
      },
      {
        _id: '60b4b0836a9d4500313b8661',
        structureName: 'Mairie (La Tour de Salvagny)',
        structureType: 'commune',
        address: {
          numero: null,
          street: 'Place de la Mairie',
          commune: 'La Tour-de-Salvagny',
          postcode: '69890',
          inseeCode: '69250',
        },
        nbPrinters: 1,
        description: null,
      },
      {
        _id: '604b84e914d486001790ee57',
        structureName: 'Maison de la Métropole (Ecully)',
        structureType: 'mdm',
        address: {
          numero: '10',
          street: 'Chemin Jean-Marie Vianney',
          commune: 'Écully',
          postcode: '69130',
          inseeCode: '69081',
        },
        nbPrinters: 1,
        description: null,
      },
      {
        _id: '61977124eb90f20031137c35',
        structureName: 'Maison de la Métropole (Oullins)',
        structureType: 'mdm',
        address: {
          numero: '17',
          street: 'Rue Tupin',
          commune: 'Oullins',
          postcode: '69600',
          inseeCode: '69149',
        },
        description: null,
        nbPrinters: 1,
        baseSkills: ['260', '1', '11', '38', '48', '74', '77'],
      },
      {
        _id: '6001a3b716b08100062e4168',
        structureName: 'Le Son du Clic',
        structureType: 'coworking',
        address: {
          numero: '7',
          street: 'Rue Robert et Reynier ',
          commune: 'Saint-Fons',
          postcode: '69190',
          inseeCode: '69199',
        },
        nbScanners: 1,
        description:
          "Entreprise de médiation numérique assurant l'animation d'atelier numériques en collectif ou l'accompagnement au numérique des particuliers en individuel. Structure agréée APTIC sur la métropole de Lyon, acceptant à ce titre le règlement de ses prestations en chèque PASS NUMERIQUE",
      },
      {
        _id: '60368194cda3ba42b8e621c3',
        structureName: 'PIMMS Médiation Villeurbanne',
        structureType: 'pimms',
        address: {
          numero: '37',
          street: 'a Rue du Mai 1945',
          commune: 'Villeurbanne',
          postcode: '69100',
          inseeCode: '69266',
        },
        nbScanners: 1,
        description: "Notre rôle est de faciliter l'accès des personnes aux services nécessaires à la vie quotidienne",
      } as any,
    ] as StructureDocument[];
  }
}
