import { HttpException, HttpStatus } from '@nestjs/common';
import { Types } from 'mongoose';
import { PersonalOfferDocument } from '../../../src/personal-offers/schemas/personal-offer.schema';
import { CNFSStructure } from '../../../src/structures/interfaces/cnfs-structure.interface';
import { PhotonPoints } from '../../../src/structures/interfaces/photon-response.interface';
import { Structure, StructureDocument } from '../../../src/structures/schemas/structure.schema';

export class StructuresServiceMock {
  findOne(id: Types.ObjectId) {
    if (id.toString() === '6093ba0e2ab5775cfc01ed3e') {
      return {
        _id: '6093ba0e2ab5775cfc01ed3e',
        coord: [4.8498155, 45.7514817],
        categories: {
          accessModality: ['accesLibre'],
          labelsQualifications: [
            'monEspaceSante',
            'numRelay',
            'pix',
            'passNumerique',
            'fabriqueDeTerritoire',
            'aidantsConnect',
            'espacePublicNumeriqueepn',
            'maisonFranceService',
            'conseillerNumFranceServices',
          ],
          onlineProcedures: [
            'idDoc',
            'training',
            'health',
            'work',
            'caf',
            'foreigners',
            'needs',
            'franceConnect',
            'taxes',
            'housing',
            'retirement',
            'scolarity',
            'transport',
            'autres',
          ],
          selfServiceMaterial: ['wifiEnAccesLibre', 'computer', 'printer', 'scanner'],
          solidarityMaterial: [],
          baseSkills: ['computer', 'internet'],
          advancedSkills: [],
          age: ['young', 'family'],
          languageAndIlliteracy: ['illettrisme', 'english'],
          handicaps: ['physicalDisability'],
          genre: ['uniquementFemmes'],
        },
        structureType: null,
        structureName: 'a',
        description: null,
        address: {
          numero: null,
          street: 'Rue Alphonse Daudet',
          commune: 'Lyon 7ème Arrondissement',
          postcode: '69007',
          inseeCode: '69387',
        },
        contactMail: '',
        contactPhone: '',
        website: '',
        facebook: null,
        twitter: null,
        instagram: null,
        linkedin: null,
        hours: {
          monday: {
            open: false,
            time: [],
          },
          tuesday: {
            open: false,
            time: [],
          },
          wednesday: {
            open: false,
            time: [],
          },
          thursday: {
            open: false,
            time: [],
          },
          friday: {
            open: false,
            time: [],
          },
          saturday: {
            open: false,
            time: [],
          },
          sunday: {
            open: false,
            time: [],
          },
        },
        pmrAccess: false,
        exceptionalClosures: null,
        otherDescription: null,
        nbComputers: 1,
        nbPrinters: 1,
        nbScanners: 1,
        freeWorkShop: 'Non',
        accountVerified: true,
        createdAt: new Date('2021-05-06T09:42:38.000Z'),
        updatedAt: new Date('2021-05-06T09:42:38.000Z'),
        __v: 0,
      };
    }

    if (id.toString() === '6903ba0e2ab5775cfc01ed4d') {
      return {
        _id: '6903ba0e2ab5775cfc01ed4d',
        structureType: null,
        categories: {
          accessModality: ['accesLibre'],
          labelsQualifications: [
            'monEspaceSante',
            'numRelay',
            'pix',
            'passNumerique',
            'fabriqueDeTerritoire',
            'aidantsConnect',
            'espacePublicNumeriqueepn',
            'maisonFranceService',
            'conseillerNumFranceServices',
          ],
          onlineProcedures: [
            'idDoc',
            'training',
            'health',
            'work',
            'caf',
            'foreigners',
            'needs',
            'franceConnect',
            'taxes',
            'housing',
            'retirement',
            'scolarity',
            'transport',
            'autres',
          ],
          selfServiceMaterial: ['wifiEnAccesLibre', 'computer', 'printer', 'scanner'],
          solidarityMaterial: [],
          baseSkills: ['computer', 'internet'],
          advancedSkills: [],
          age: ['young', 'family'],
          languageAndIlliteracy: ['illettrisme', 'english'],
          handicaps: ['physicalDisability'],
          genre: ['uniquementFemmes'],
        },
        freeWorkShop: 'Non',
        createdAt: new Date('2020-11-16T09:30:00.000Z'),
        updatedAt: new Date('2020-11-16T09:30:00.000Z'),
        structureName: "L'Atelier Numérique",
        description: '',
        contactPhone: '',
        contactMail: '',
        website: '',
        facebook: null,
        twitter: null,
        instagram: null,
        pmrAccess: true,
        exceptionalClosures: '',
        nbComputers: 16,
        nbPrinters: 1,
        hours: {
          monday: {
            open: true,
            time: [
              {
                closing: '12:30',
                opening: '09:00',
              },
              {
                closing: '17:00',
                opening: '13:30',
              },
            ],
          },
          tuesday: {
            open: true,
            time: [
              {
                closing: '12:30',
                opening: '09:00',
              },
              {
                closing: '17:00',
                opening: '13:30',
              },
            ],
          },
          wednesday: {
            open: true,
            time: [
              {
                closing: '12:30',
                opening: '09:00',
              },
              {
                closing: '17:00',
                opening: '13:30',
              },
            ],
          },
          thursday: {
            open: true,
            time: [
              {
                closing: '12:30',
                opening: '09:00',
              },
              {
                closing: '17:00',
                opening: '13:30',
              },
            ],
          },
          friday: {
            open: true,
            time: [
              {
                closing: '12:30',
                opening: '09:00',
              },
            ],
          },
          saturday: {
            open: false,
            time: [],
          },
          sunday: {
            open: false,
            time: [],
          },
        },
        __v: 0,
        address: {
          numero: '30 bis',
          street: 'Avenue Leclerc',
          commune: 'Rillieux-la-Pape',
          postcode: '69140',
          inseeCode: '69286',
        },
        coord: [4.9036773, 45.8142196],
        accountVerified: true,
        linkedin: null,
        nbScanners: 1,
        otherDescription: null,
        personalOffers: [],
      };
    }

    if (id.toString() === '6093ba0e2ab5775cfc01ed33') {
      return {
        _id: '6903ba0e2ab5775cfc01ed4d',
        structureType: null,
        categories: {
          accessModality: ['accesLibre'],
          labelsQualifications: [
            'monEspaceSante',
            'numRelay',
            'pix',
            'passNumerique',
            'fabriqueDeTerritoire',
            'aidantsConnect',
            'espacePublicNumeriqueepn',
            'maisonFranceService',
            'conseillerNumFranceServices',
          ],
          onlineProcedures: [
            'idDoc',
            'training',
            'health',
            'work',
            'caf',
            'foreigners',
            'needs',
            'franceConnect',
            'taxes',
            'housing',
            'retirement',
            'scolarity',
            'transport',
            'autres',
          ],
          selfServiceMaterial: ['wifiEnAccesLibre', 'computer', 'printer', 'scanner'],
          solidarityMaterial: [],
          baseSkills: ['computer', 'internet'],
          advancedSkills: [],
          age: ['young', 'family'],
          languageAndIlliteracy: ['illettrisme', 'english'],
          handicaps: ['physicalDisability'],
          genre: ['uniquementFemmes'],
        },
        freeWorkShop: 'Non',

        structureName: "L'Atelier Numérique",
        description:
          "L'Atelier Numérique est l'Espace Public Numérique des Centres Sociaux de Rillieux-la-Pape, ayant pour mission la médiation numérique pour toutes et tous.",
        contactPhone: '',
        contactMail: '',
        website: '',
        facebook: null,
        twitter: null,
        instagram: null,
        pmrAccess: true,
        exceptionalClosures: '',
        nbComputers: 16,
        nbPrinters: 1,
        __v: 0,
        address: {
          numero: '30 bis',
          street: 'Avenue Leclerc',
          commune: 'Rillieux-la-Pape',
          postcode: '69140',
          inseeCode: '69286',
        },
        coord: [4.9036773, 45.8142196],
        accountVerified: true,
        linkedin: null,
        nbScanners: 1,
        otherDescription: null,
        personalOffers: [],
        createdAt: new Date('2020-11-16T09:30:00.000Z'),
        updatedAt: new Date('2020-11-16T09:30:00.000Z'),
        deletedAt: new Date('2020-11-16T09:30:00.000Z'),
      };
    }
    return null;
  }

  deleteOne(id) {
    if (id === '6903ba0e2ab5775cfc01ed4d') {
      return {
        _id: '6903ba0e2ab5775cfc01ed4d',
        structureType: null,
        categories: {
          accessModality: ['accesLibre'],
          labelsQualifications: [
            'monEspaceSante',
            'numRelay',
            'pix',
            'passNumerique',
            'fabriqueDeTerritoire',
            'aidantsConnect',
            'espacePublicNumeriqueepn',
            'maisonFranceService',
            'conseillerNumFranceServices',
          ],
          onlineProcedures: [
            'idDoc',
            'training',
            'health',
            'work',
            'caf',
            'foreigners',
            'needs',
            'franceConnect',
            'taxes',
            'housing',
            'retirement',
            'scolarity',
            'transport',
            'autres',
          ],
          selfServiceMaterial: ['wifiEnAccesLibre', 'computer', 'printer', 'scanner'],
          solidarityMaterial: [],
          baseSkills: ['computer', 'internet'],
          advancedSkills: [],
          age: ['young', 'family'],
          languageAndIlliteracy: ['illettrisme', 'english'],
          handicaps: ['physicalDisability'],
          genre: ['uniquementFemmes'],
        },
        freeWorkShop: 'Non',
        createdAt: new Date('2020-11-16T09:30:00.000Z'),
        updatedAt: new Date('2020-11-16T09:30:00.000Z'),
        structureName: "L'Atelier Numérique",
        description:
          "L'Atelier Numérique est l'Espace Public Numérique des Centres Sociaux de Rillieux-la-Pape, ayant pour mission la médiation numérique pour toutes et tous.",
        contactPhone: '',
        contactMail: '',
        website: '',
        facebook: null,
        twitter: null,
        instagram: null,
        pmrAccess: true,
        exceptionalClosures: '',
        nbComputers: 16,
        nbPrinters: 1,
        hours: {
          monday: {
            open: true,
            time: [
              {
                closing: '12:30',
                opening: '09:00',
              },
              {
                closing: '17:00',
                opening: '13:30',
              },
            ],
          },
          tuesday: {
            open: true,
            time: [
              {
                closing: '12:30',
                opening: '09:00',
              },
              {
                closing: '17:00',
                opening: '13:30',
              },
            ],
          },
          wednesday: {
            open: true,
            time: [
              {
                closing: '12:30',
                opening: '09:00',
              },
              {
                closing: '17:00',
                opening: '13:30',
              },
            ],
          },
          thursday: {
            open: true,
            time: [
              {
                closing: '12:30',
                opening: '09:00',
              },
              {
                closing: '17:00',
                opening: '13:30',
              },
            ],
          },
          friday: {
            open: true,
            time: [
              {
                closing: '12:30',
                opening: '09:00',
              },
            ],
          },
          saturday: {
            open: false,
            time: [],
          },
          sunday: {
            open: false,
            time: [],
          },
        },
        __v: 0,
        address: {
          numero: '30 bis',
          street: 'Avenue Leclerc',
          commune: 'Rillieux-la-Pape',
          postcode: '69140',
          inseeCode: '69286',
        },
        coord: [4.9036773, 45.8142196],
        accountVerified: true,
        linkedin: null,
        nbScanners: 1,
        otherDescription: null,
        personalOffers: [],
      };
    }

    throw new HttpException('Invalid structure id', HttpStatus.BAD_REQUEST);
  }

  findAll() {
    return [
      {
        _id: '6093ba0e2ab5775cfc01abce',
        coord: [4.8498155, 45.7514817],
        categories: {
          accessModality: ['accesLibre'],
          labelsQualifications: [
            'monEspaceSante',
            'numRelay',
            'pix',
            'passNumerique',
            'fabriqueDeTerritoire',
            'aidantsConnect',
            'espacePublicNumeriqueepn',
            'maisonFranceService',
            'conseillerNumFranceServices',
          ],
          onlineProcedures: [
            'idDoc',
            'training',
            'health',
            'work',
            'caf',
            'foreigners',
            'needs',
            'franceConnect',
            'taxes',
            'housing',
            'retirement',
            'scolarity',
            'transport',
            'autres',
          ],
          selfServiceMaterial: ['wifiEnAccesLibre', 'computer', 'printer', 'scanner'],
          solidarityMaterial: [],
          baseSkills: ['computer', 'internet'],
          advancedSkills: [],
          age: ['young', 'family'],
          languageAndIlliteracy: ['illettrisme', 'english'],
          handicaps: ['physicalDisability'],
          genre: ['uniquementFemmes'],
        },
        structureType: null,
        structureName: 'a',
        description: null,
        address: {
          numero: null,
          street: 'Rue Alphonse Daudet',
          commune: 'Lyon 7ème Arrondissement',
          postcode: '69007',
          inseeCode: '69387',
        },
        contactMail: '',
        contactPhone: '',
        website: '',
        facebook: null,
        twitter: null,
        instagram: null,
        linkedin: null,
        hours: {
          monday: {
            open: false,
            time: [],
          },
          tuesday: {
            open: false,
            time: [],
          },
          wednesday: {
            open: false,
            time: [],
          },
          thursday: {
            open: false,
            time: [],
          },
          friday: {
            open: false,
            time: [],
          },
          saturday: {
            open: false,
            time: [],
          },
          sunday: {
            open: false,
            time: [],
          },
        },
        pmrAccess: false,
        exceptionalClosures: null,
        otherDescription: null,
        nbComputers: 1,
        nbPrinters: 1,
        nbScanners: 1,
        freeWorkShop: 'Non',
        accountVerified: true,
        createdAt: new Date('2021-05-06T09:42:38.000Z'),
        updatedAt: new Date('2021-05-06T09:42:50.000Z'),
        __v: 0,
      },
      {
        _id: '6093ba0e2ab5775cfc01fffe',
        coord: [4.8498155, 45.7514817],
        categories: {
          accessModality: ['accesLibre'],
          labelsQualifications: [
            'monEspaceSante',
            'numRelay',
            'pix',
            'passNumerique',
            'fabriqueDeTerritoire',
            'aidantsConnect',
            'espacePublicNumeriqueepn',
            'maisonFranceService',
            'conseillerNumFranceServices',
          ],
          onlineProcedures: [
            'idDoc',
            'training',
            'health',
            'work',
            'caf',
            'foreigners',
            'needs',
            'franceConnect',
            'taxes',
            'housing',
            'retirement',
            'scolarity',
            'transport',
            'autres',
          ],
          selfServiceMaterial: ['wifiEnAccesLibre', 'computer', 'printer', 'scanner'],
          solidarityMaterial: [],
          baseSkills: ['computer', 'internet'],
          advancedSkills: [],
          age: ['young', 'family'],
          languageAndIlliteracy: ['illettrisme', 'english'],
          handicaps: ['physicalDisability'],
          genre: ['uniquementFemmes'],
        },
        structureType: null,
        structureName: 'a',
        description: null,
        address: {
          numero: null,
          street: 'Rue Alphonse Daudet',
          commune: 'Lyon 7ème Arrondissement',
          postcode: '69007',
          inseeCode: '69387',
        },
        contactMail: '',
        contactPhone: '',
        website: '',
        facebook: null,
        twitter: null,
        instagram: null,
        linkedin: null,
        hours: {
          monday: {
            open: false,
            time: [],
          },
          tuesday: {
            open: false,
            time: [],
          },
          wednesday: {
            open: false,
            time: [],
          },
          thursday: {
            open: false,
            time: [],
          },
          friday: {
            open: false,
            time: [],
          },
          saturday: {
            open: false,
            time: [],
          },
          sunday: {
            open: false,
            time: [],
          },
        },
        pmrAccess: false,
        exceptionalClosures: null,
        otherDescription: null,
        nbComputers: 1,
        nbPrinters: 1,
        nbScanners: 1,
        freeWorkShop: 'Non',
        accountVerified: true,
        createdAt: new Date('2021-05-06T09:42:38.000Z'),
        updatedAt: new Date('2021-05-06T09:42:50.000Z'),
        __v: 0,
      },
    ];
  }

  findAllUnclaimed() {
    return [
      {
        _id: '6093ba0e2ab5775cfc01abcd',
        coord: [4.8498155, 45.7514817],
        categories: {
          accessModality: ['accesLibre'],
          labelsQualifications: [
            'monEspaceSante',
            'numRelay',
            'pix',
            'passNumerique',
            'fabriqueDeTerritoire',
            'aidantsConnect',
            'espacePublicNumeriqueepn',
            'maisonFranceService',
            'conseillerNumFranceServices',
          ],
          onlineProcedures: [
            'idDoc',
            'training',
            'health',
            'work',
            'caf',
            'foreigners',
            'needs',
            'franceConnect',
            'taxes',
            'housing',
            'retirement',
            'scolarity',
            'transport',
            'autres',
          ],
          selfServiceMaterial: ['wifiEnAccesLibre', 'computer', 'printer', 'scanner'],
          solidarityMaterial: [],
          baseSkills: ['computer', 'internet'],
          advancedSkills: [],
          age: ['young', 'family'],
          languageAndIlliteracy: ['illettrisme', 'english'],
          handicaps: ['physicalDisability'],
          genre: ['uniquementFemmes'],
        },
        structureType: null,
        structureName: 'a',
        description: null,
        address: {
          numero: null,
          street: 'Rue Alphonse Daudet',
          commune: 'Lyon 7ème Arrondissement',
          postcode: '69007',
          inseeCode: '69387',
        },
        contactMail: '',
        contactPhone: '',
        website: '',
        facebook: null,
        twitter: null,
        instagram: null,
        linkedin: null,
        hours: {
          monday: {
            open: false,
            time: [],
          },
          tuesday: {
            open: false,
            time: [],
          },
          wednesday: {
            open: false,
            time: [],
          },
          thursday: {
            open: false,
            time: [],
          },
          friday: {
            open: false,
            time: [],
          },
          saturday: {
            open: false,
            time: [],
          },
          sunday: {
            open: false,
            time: [],
          },
        },
        pmrAccess: false,
        exceptionalClosures: null,
        otherDescription: null,
        nbComputers: 1,
        nbPrinters: 1,
        nbScanners: 1,
        freeWorkShop: 'Non',
        accountVerified: true,
        createdAt: new Date('2021-05-06T09:42:38.000Z'),
        updatedAt: new Date('2021-05-06T09:42:50.000Z'),
        __v: 0,
        hasNoUserDN: true,
      },
      {
        _id: '6093ba0e2ab5775cfc01ffff',
        coord: [4.8498155, 45.7514817],
        categories: {
          accessModality: ['accesLibre'],
          labelsQualifications: [
            'monEspaceSante',
            'numRelay',
            'pix',
            'passNumerique',
            'fabriqueDeTerritoire',
            'aidantsConnect',
            'espacePublicNumeriqueepn',
            'maisonFranceService',
            'conseillerNumFranceServices',
          ],
          onlineProcedures: [
            'idDoc',
            'training',
            'health',
            'work',
            'caf',
            'foreigners',
            'needs',
            'franceConnect',
            'taxes',
            'housing',
            'retirement',
            'scolarity',
            'transport',
            'autres',
          ],
          selfServiceMaterial: ['wifiEnAccesLibre', 'computer', 'printer', 'scanner'],
          solidarityMaterial: [],
          baseSkills: ['computer', 'internet'],
          advancedSkills: [],
          age: ['young', 'family'],
          languageAndIlliteracy: ['illettrisme', 'english'],
          handicaps: ['physicalDisability'],
          genre: ['uniquementFemmes'],
        },
        structureType: null,
        structureName: 'a',
        description: null,
        address: {
          numero: null,
          street: 'Rue Alphonse Daudet',
          commune: 'Lyon 7ème Arrondissement',
          postcode: '69007',
          inseeCode: '69387',
        },
        contactMail: '',
        contactPhone: '',
        website: '',
        facebook: null,
        twitter: null,
        instagram: null,
        linkedin: null,
        hours: {
          monday: {
            open: false,
            time: [],
          },
          tuesday: {
            open: false,
            time: [],
          },
          wednesday: {
            open: false,
            time: [],
          },
          thursday: {
            open: false,
            time: [],
          },
          friday: {
            open: false,
            time: [],
          },
          saturday: {
            open: false,
            time: [],
          },
          sunday: {
            open: false,
            time: [],
          },
        },
        pmrAccess: false,
        exceptionalClosures: null,
        otherDescription: null,
        nbComputers: 1,
        nbPrinters: 1,
        nbScanners: 1,
        freeWorkShop: 'Non',
        accountVerified: true,
        createdAt: new Date('2021-05-06T09:42:38.000Z'),
        updatedAt: new Date('2021-05-06T09:42:50.000Z'),
        __v: 0,
        hasNoUserDN: true,
      },
    ];
  }

  findConsentingStructures() {
    return [
      {
        _id: '6093ba0e2ab5775cfc01abcd',
        coord: [4.8498155, 45.7514817],
        categories: {
          accessModality: ['accesLibre'],
          labelsQualifications: [
            'monEspaceSante',
            'numRelay',
            'pix',
            'passNumerique',
            'fabriqueDeTerritoire',
            'aidantsConnect',
            'espacePublicNumeriqueepn',
            'maisonFranceService',
            'conseillerNumFranceServices',
          ],
          onlineProcedures: [
            'idDoc',
            'training',
            'health',
            'work',
            'caf',
            'foreigners',
            'needs',
            'franceConnect',
            'taxes',
            'housing',
            'retirement',
            'scolarity',
            'transport',
            'autres',
          ],
          selfServiceMaterial: ['wifiEnAccesLibre', 'computer', 'printer', 'scanner'],
          solidarityMaterial: [],
          baseSkills: ['computer', 'internet'],
          advancedSkills: [],
          age: ['young', 'family'],
          languageAndIlliteracy: ['illettrisme', 'english'],
          handicaps: ['physicalDisability'],
          genre: ['uniquementFemmes'],
        },
        structureType: null,
        structureName: 'a',
        description: null,
        address: {
          numero: null,
          street: 'Rue Alphonse Daudet',
          commune: 'Lyon 7ème Arrondissement',
          postcode: '69007',
          inseeCode: '69387',
        },
        contactMail: '',
        contactPhone: '',
        website: '',
        facebook: null,
        twitter: null,
        instagram: null,
        linkedin: null,
        hours: {
          monday: {
            open: false,
            time: [],
          },
          tuesday: {
            open: false,
            time: [],
          },
          wednesday: {
            open: false,
            time: [],
          },
          thursday: {
            open: false,
            time: [],
          },
          friday: {
            open: false,
            time: [],
          },
          saturday: {
            open: false,
            time: [],
          },
          sunday: {
            open: false,
            time: [],
          },
        },
        pmrAccess: false,
        exceptionalClosures: null,
        otherDescription: null,
        nbComputers: 1,
        nbPrinters: 1,
        nbScanners: 1,
        freeWorkShop: 'Non',
        accountVerified: true,
        personalOffers: [],
        dataShareConsentDate: '2022-03-01T09:00:00.000Z',
        createdAt: new Date('2021-05-06T09:42:38.000Z'),
        updatedAt: new Date('2021-05-06T09:42:50.000Z'),
        __v: 0,
      },
      {
        _id: '6093ba0e2ab5775cfc01ffff',
        coord: [4.8498155, 45.7514817],
        categories: {
          accessModality: ['accesLibre'],
          labelsQualifications: [
            'monEspaceSante',
            'numRelay',
            'pix',
            'passNumerique',
            'fabriqueDeTerritoire',
            'aidantsConnect',
            'espacePublicNumeriqueepn',
            'maisonFranceService',
            'conseillerNumFranceServices',
          ],
          onlineProcedures: [
            'idDoc',
            'training',
            'health',
            'work',
            'caf',
            'foreigners',
            'needs',
            'franceConnect',
            'taxes',
            'housing',
            'retirement',
            'scolarity',
            'transport',
            'autres',
          ],
          selfServiceMaterial: ['wifiEnAccesLibre', 'computer', 'printer', 'scanner'],
          solidarityMaterial: [],
          baseSkills: ['computer', 'internet'],
          advancedSkills: [],
          age: ['young', 'family'],
          languageAndIlliteracy: ['illettrisme', 'english'],
          handicaps: ['physicalDisability'],
          genre: ['uniquementFemmes'],
        },
        structureType: null,
        structureName: 'a',
        description: null,
        address: {
          numero: null,
          street: 'Rue Alphonse Daudet',
          commune: 'Lyon 7ème Arrondissement',
          postcode: '69007',
          inseeCode: '69387',
        },
        contactMail: '',
        contactPhone: '',
        website: '',
        facebook: null,
        twitter: null,
        instagram: null,
        linkedin: null,
        hours: {
          monday: {
            open: false,
            time: [],
          },
          tuesday: {
            open: false,
            time: [],
          },
          wednesday: {
            open: false,
            time: [],
          },
          thursday: {
            open: false,
            time: [],
          },
          friday: {
            open: false,
            time: [],
          },
          saturday: {
            open: false,
            time: [],
          },
          sunday: {
            open: false,
            time: [],
          },
        },
        pmrAccess: false,
        exceptionalClosures: null,
        otherDescription: null,
        nbComputers: 1,
        nbPrinters: 1,
        nbScanners: 1,
        freeWorkShop: 'Non',
        accountVerified: true,
        personalOffers: [],
        dataShareConsentDate: '2022-03-01T09:00:00.000Z',
        createdAt: new Date('2021-05-06T09:42:38.000Z'),
        updatedAt: new Date('2021-05-06T09:42:50.000Z'),
        __v: 0,
      },
    ];
  }

  update() {
    return {
      _id: '6093ba0e2ab5775cfc01ed3e',
      coord: [4.8498155, 45.7514817],
      structureType: null,
      structureName: 'a',
      description: null,
      address: {
        numero: null,
        street: 'Rue Alphonse Daudet',
        commune: 'Lyon 7ème Arrondissement',
        postcode: '69007',
        inseeCode: '69387',
      },
      contactMail: '',
      contactPhone: '',
      website: '',
      facebook: null,
      twitter: null,
      instagram: null,
      linkedin: null,
      hours: {
        monday: {
          open: false,
          time: [],
        },
        tuesday: {
          open: false,
          time: [],
        },
        wednesday: {
          open: false,
          time: [],
        },
        thursday: {
          open: false,
          time: [],
        },
        friday: {
          open: false,
          time: [],
        },
        saturday: {
          open: false,
          time: [],
        },
        sunday: {
          open: false,
          time: [],
        },
      },
      pmrAccess: false,
      exceptionalClosures: null,
      otherDescription: null,
      nbComputers: 1,
      nbPrinters: 1,
      nbScanners: 1,
      freeWorkShop: 'Non',
      accountVerified: true,
      createdAt: new Date('2021-05-06T09:42:38.000Z'),
      updatedAt: new Date('2021-05-06T09:42:50.000Z'),
      __v: 0,
    };
  }

  async getAllUserCompletedStructures(users: any[]): Promise<any[]> {
    return [];
  }

  async addPersonalOffer(
    structureId: string,
    personalOfferDocument: PersonalOfferDocument
  ): Promise<StructureDocument> {
    if (structureId === '6093ba0e2ab5775cfc01ed3e') {
      return new Structure({
        coord: [4.8498155, 45.7514817],
        categories: {
          accessModality: ['accesLibre'],
          labelsQualifications: [
            'monEspaceSante',
            'numRelay',
            'pix',
            'passNumerique',
            'fabriqueDeTerritoire',
            'aidantsConnect',
            'espacePublicNumeriqueepn',
            'maisonFranceService',
            'conseillerNumFranceServices',
          ],
          onlineProcedures: [
            'idDoc',
            'training',
            'health',
            'work',
            'caf',
            'foreigners',
            'needs',
            'franceConnect',
            'taxes',
            'housing',
            'retirement',
            'scolarity',
            'transport',
            'autres',
          ],
          selfServiceMaterial: ['wifiEnAccesLibre', 'computer', 'printer', 'scanner'],
          solidarityMaterial: [],
          baseSkills: ['computer', 'internet'],
          advancedSkills: [],
          age: ['young', 'family'],
          languageAndIlliteracy: ['illettrisme', 'english'],
          handicaps: ['physicalDisability'],
          genre: ['uniquementFemmes'],
        },
        structureType: null,
        structureName: 'a',
        description: null,
        address: {
          numero: null,
          street: 'Rue Alphonse Daudet',
          commune: 'Lyon 7ème Arrondissement',
          postcode: '69007',
          inseeCode: '69387',
        },
        contactMail: '',
        contactPhone: '',
        website: '',
        facebook: null,
        twitter: null,
        instagram: null,
        linkedin: null,
        hours: {
          monday: {
            open: false,
            time: [],
          },
          tuesday: {
            open: false,
            time: [],
          },
          wednesday: {
            open: false,
            time: [],
          },
          thursday: {
            open: false,
            time: [],
          },
          friday: {
            open: false,
            time: [],
          },
          saturday: {
            open: false,
            time: [],
          },
          sunday: {
            open: false,
            time: [],
          },
        },
        pmrAccess: false,
        exceptionalClosures: null,
        otherDescription: null,
        nbComputers: 1,
        nbPrinters: 1,
        nbScanners: 1,
        freeWorkShop: 'Non',
        accountVerified: true,
        personalOffers: [personalOfferDocument],
        createdAt: new Date('2021-05-06T09:42:38.000Z'),
        updatedAt: new Date('2021-05-06T09:42:50.000Z'),
        deletedAt: null,
        dataShareConsentDate: null,
      }) as StructureDocument;
    }
    if (personalOfferDocument._id === 'unIdQuiExisteDeja') {
      throw new HttpException('Personal offer already exist in the structure', HttpStatus.BAD_REQUEST);
    }
    throw new HttpException('Structure not found for the personal offer attachment', HttpStatus.BAD_REQUEST);
  }

  async removePersonalOffer() {
    return [];
  }

  async findByPersonalOfferId() {
    return {};
  }

  async create() {
    return;
  }

  async updateAllDenormalizedFields() {
    return;
  }

  async updateDenormalizedFields() {
    return;
  }

  async getInseeCode() {
    return null;
  }
}

export const mockSearchAdressBan: { features: PhotonPoints[] } = {
  features: [
    {
      geometry: { coordinates: [4.993358, 45.7753763], type: 'Point' },
      type: 'Feature',
      properties: {
        osm_id: 2840376300,
        osm_type: 'N',
        country: 'France',
        osm_key: 'place',
        housenumber: '20',
        city: 'Meyzieu',
        street: 'Rue Édison',
        osm_value: 'house',
        postcode: '69330',
        state: 'Auvergne-Rhône-Alpes',
      },
    },
  ],
};

export const mockSearchAdressBal: { features: PhotonPoints[] } = {
  features: [
    {
      geometry: { coordinates: [4.993358, 45.7753763], type: 'Point' },
      type: 'Feature',
      properties: {
        osm_id: 13529,
        osm_type: 'N',
        country: 'France',
        osm_key: 'place',
        housenumber: '20',
        city: 'Meyzieu',
        street: 'Rue Edison',
        osm_value: 'house',
        postcode: '69330',
        type: 'house',
      },
    },
  ],
};

export const mockResinStructures: Array<Structure> = [
  {
    contactMail: '',
    contactPhone: '01 23 45 67 89',
    coord: [4.8498155, 45.7514817],
    categories: {
      accessModality: ['accesLibre'],
      labelsQualifications: [
        'monEspaceSante',
        'numRelay',
        'pix',
        'passNumerique',
        'fabriqueDeTerritoire',
        'aidantsConnect',
        'espacePublicNumeriqueepn',
        'maisonFranceService',
        'conseillerNumFranceServices',
      ],
      onlineProcedures: [
        'idDoc',
        'training',
        'health',
        'work',
        'caf',
        'foreigners',
        'needs',
        'franceConnect',
        'taxes',
        'housing',
        'retirement',
        'scolarity',
        'transport',
        'autres',
      ],
      selfServiceMaterial: ['wifiEnAccesLibre', 'computer', 'printer', 'scanner'],
      solidarityMaterial: [],
      baseSkills: ['computer', 'internet'],
      advancedSkills: [],
      age: ['young', 'family'],
      languageAndIlliteracy: ['illettrisme', 'english'],
      handicaps: ['physicalDisability'],
      genre: ['uniquementFemmes'],
    },
    structureType: null,
    structureName: 'a',
    description: null,
    address: {
      numero: null,
      street: 'Rue Alphonse Daudet',
      commune: 'Lyon 7ème Arrondissement',
      postcode: '69007',
      inseeCode: '69387',
    },
    website: '',
    facebook: null,
    twitter: null,
    instagram: null,
    linkedin: null,
    hours: {
      monday: {
        open: false,
        time: [],
      },
      tuesday: {
        open: false,
        time: [],
      },
      wednesday: {
        open: false,
        time: [],
      },
      thursday: {
        open: false,
        time: [],
      },
      friday: {
        open: false,
        time: [],
      },
      saturday: {
        open: false,
        time: [],
      },
      sunday: {
        open: false,
        time: [],
      },
    },
    pmrAccess: false,
    exceptionalClosures: null,
    otherDescription: null,
    nbComputers: 1,
    nbPrinters: 1,
    nbScanners: 1,
    freeWorkShop: 'Non',
    accountVerified: true,
    createdAt: new Date('2021-05-06T09:42:38.000Z'),
    updatedAt: new Date('2021-05-06T09:42:50.000Z'),
    deletedAt: new Date('2121-05-06T09:42:38.000Z'),
    dataShareConsentDate: new Date('2021-05-06T09:42:38.000Z'),
    personalOffers: [],
    categoriesWithPersonalOffers: null,
    lastUpdateMail: new Date('2021-05-06T09:42:38.000Z'),
    permalink: 'a',
    comment: 'petit commentaire',
  },
  {
    contactMail: 'matchin@email.com',
    contactPhone: '',
    coord: [4.8498155, 45.7514817],
    categories: {
      accessModality: ['accesLibre'],
      labelsQualifications: [
        'monEspaceSante',
        'numRelay',
        'pix',
        'passNumerique',
        'fabriqueDeTerritoire',
        'aidantsConnect',
        'espacePublicNumeriqueepn',
        'maisonFranceService',
        'conseillerNumFranceServices',
      ],
      onlineProcedures: [
        'idDoc',
        'training',
        'health',
        'work',
        'caf',
        'foreigners',
        'needs',
        'franceConnect',
        'taxes',
        'housing',
        'retirement',
        'scolarity',
        'transport',
        'autres',
      ],
      selfServiceMaterial: ['wifiEnAccesLibre', 'computer', 'printer', 'scanner'],
      solidarityMaterial: [],
      baseSkills: ['computer', 'internet'],
      advancedSkills: [],
      age: ['young', 'family'],
      languageAndIlliteracy: ['illettrisme', 'english'],
      handicaps: ['physicalDisability'],
      genre: ['uniquementFemmes'],
    },
    structureType: null,
    structureName: 'a',
    description: null,
    address: {
      numero: null,
      street: 'Rue Alphonse Daudet',
      commune: 'Lyon 7ème Arrondissement',
      postcode: '69007',
      inseeCode: '69387',
    },
    website: '',
    facebook: null,
    twitter: null,
    instagram: null,
    linkedin: null,
    hours: {
      monday: {
        open: false,
        time: [],
      },
      tuesday: {
        open: false,
        time: [],
      },
      wednesday: {
        open: false,
        time: [],
      },
      thursday: {
        open: false,
        time: [],
      },
      friday: {
        open: false,
        time: [],
      },
      saturday: {
        open: false,
        time: [],
      },
      sunday: {
        open: false,
        time: [],
      },
    },
    pmrAccess: false,
    exceptionalClosures: null,
    otherDescription: null,
    nbComputers: 1,
    nbPrinters: 1,
    nbScanners: 1,
    freeWorkShop: 'Non',
    accountVerified: true,
    personalOffers: [],
    createdAt: new Date('2021-05-06T09:42:38.000Z'),
    updatedAt: new Date('2021-05-06T09:42:50.000Z'),
    deletedAt: new Date('2121-05-06T09:42:38.000Z'),
    dataShareConsentDate: new Date('2021-05-06T09:42:38.000Z'),
    categoriesWithPersonalOffers: null,
    lastUpdateMail: new Date('2021-05-06T09:42:38.000Z'),
    permalink: 'a-1',
    comment: 'petit commentaire',
  },
  {
    contactMail: 'nomatch@email.com',
    contactPhone: '09 09 09 09 09',
    coord: [4.8498155, 45.7514817],
    categories: {
      accessModality: ['accesLibre'],
      labelsQualifications: [
        'monEspaceSante',
        'numRelay',
        'pix',
        'passNumerique',
        'fabriqueDeTerritoire',
        'aidantsConnect',
        'espacePublicNumeriqueepn',
        'maisonFranceService',
        'conseillerNumFranceServices',
      ],
      onlineProcedures: [
        'idDoc',
        'training',
        'health',
        'work',
        'caf',
        'foreigners',
        'needs',
        'franceConnect',
        'taxes',
        'housing',
        'retirement',
        'scolarity',
        'transport',
        'autres',
      ],
      selfServiceMaterial: ['wifiEnAccesLibre', 'computer', 'printer', 'scanner'],
      solidarityMaterial: [],
      baseSkills: ['computer', 'internet'],
      advancedSkills: [],
      age: ['young', 'family'],
      languageAndIlliteracy: ['illettrisme', 'english'],
      handicaps: ['physicalDisability'],
      genre: ['uniquementFemmes'],
    },
    structureType: null,
    structureName: 'a',
    description: null,
    address: {
      numero: null,
      street: 'Rue Alphonse Daudet',
      commune: 'Lyon 7ème Arrondissement',
      postcode: '69007',
      inseeCode: '69387',
    },
    website: '',
    facebook: null,
    twitter: null,
    instagram: null,
    linkedin: null,
    hours: {
      monday: {
        open: false,
        time: [],
      },
      tuesday: {
        open: false,
        time: [],
      },
      wednesday: {
        open: false,
        time: [],
      },
      thursday: {
        open: false,
        time: [],
      },
      friday: {
        open: false,
        time: [],
      },
      saturday: {
        open: false,
        time: [],
      },
      sunday: {
        open: false,
        time: [],
      },
    },
    pmrAccess: false,
    exceptionalClosures: null,
    otherDescription: null,
    nbComputers: 1,
    nbPrinters: 1,
    nbScanners: 1,
    freeWorkShop: 'Non',
    accountVerified: true,
    personalOffers: [],
    createdAt: new Date('2021-05-06T09:42:38.000Z'),
    updatedAt: new Date('2021-05-06T09:42:50.000Z'),
    deletedAt: new Date('2121-05-06T09:42:38.000Z'),
    dataShareConsentDate: new Date('2021-05-06T09:42:38.000Z'),
    categoriesWithPersonalOffers: null,
    lastUpdateMail: new Date('2021-05-06T09:42:38.000Z'),
    permalink: 'a-2',
    comment: 'petit commentaire',
  },
];
